Switch dev to use ruby 2.1 for passenger
authorTom Hughes <tom@compton.nu>
Fri, 20 Feb 2015 15:58:50 +0000 (15:58 +0000)
committerTom Hughes <tom@compton.nu>
Fri, 20 Feb 2015 16:05:00 +0000 (16:05 +0000)
cookbooks/dev/recipes/default.rb
roles/dev.rb

index 039f5b204b164bc5d59a92ad4716e01e83bf362a..62eac34c4e07cca9590b93f505fee5e0f2951602 100644 (file)
@@ -134,6 +134,7 @@ if node[:postgresql][:clusters][:"9.1/main"]
   end
 
   node[:dev][:rails].each do |name, details|
+    ruby node[:passenger][:ruby_version]
     database_name = details[:database] || "apis_#{name}"
     site_name = "#{name}.apis.dev.openstreetmap.org"
     rails_directory = "/srv/#{name}.apis.dev.openstreetmap.org"
index aa07120ee0fe315b63a9f9f474ab85dbda750ebf..faf7adda323a2e1926387c9c950abd94eb6a8553 100644 (file)
@@ -119,6 +119,9 @@ default_attributes(
       }
     }
   },
+  :passenger => {
+    :ruby_version => "2.1"
+  },
   :postgresql => {
     :versions => ["9.1", "9.3"],
     :settings => {